Bug 139328 - example Euler-Lagrange equation is wrong
Summary: example Euler-Lagrange equation is wrong
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
7.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-30 21:38 UTC by Jean-Baptiste Faure
Modified: 2021-01-02 23:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2020-12-30 21:38:32 UTC
Description:
The right parenthesis in the example "Euler-Lagrange equation" is misplaced

Steps to Reproduce:
1. Open Math module
2. in the left panel choose example
3. look at Euler-Lagrange equation

Actual Results:
d over dt left( {partial L}over{partial dot q} = {partial L}over{partial q} right)

Expected Results:
The right parenthesis must be before the equal sign:
d over dt left( {partial L}over{partial dot q} right) = {partial L}over{partial q}


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.1.0+
Build ID: 3c44c403791754207142c60183a118c323b9c297
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Ubuntu_18.04_x86-64
Calc: threaded
Comment 1 Ming Hua 2020-12-30 22:27:18 UTC
Thanks for reporting, this mistake has been fixed in master:
https://git.libreoffice.org/core/+/ad8485ebe11396aaac68095ef9eec819de6af26c

It probably should be backported for 7.1 though.
Comment 2 Jean-Baptiste Faure 2020-12-30 22:43:59 UTC
(In reply to Ming Hua from comment #1)
> Thanks for reporting, this mistake has been fixed in master:
> https://git.libreoffice.org/core/+/ad8485ebe11396aaac68095ef9eec819de6af26c
> 
> It probably should be backported for 7.1 though.

Yes, I just found this commit.

@Laurent BP: is it possible to backport your commit to 7.0?

Best regards. JBF
Comment 3 Jean-Baptiste Faure 2020-12-30 23:04:04 UTC
(In reply to Jean-Baptiste Faure from comment #2)
> (In reply to Ming Hua from comment #1)
> > Thanks for reporting, this mistake has been fixed in master:
> > https://git.libreoffice.org/core/+/ad8485ebe11396aaac68095ef9eec819de6af26c
> > 
> > It probably should be backported for 7.1 though.
> 
> Yes, I just found this commit.
> 
> @Laurent BP: is it possible to backport your commit to 7.0?
> 
> Best regards. JBF

Sorry, I meant 7.1.

Best regards. JBF
Comment 4 Laurent BP 2020-12-31 08:27:13 UTC
Sorry, I did not notice it was not embedded in 7.1. It is now under review.
https://gerrit.libreoffice.org/108353
Comment 5 Commit Notification 2021-01-02 19:32:00 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ca9abb3c513f10e041d9a52bc256516739fdca69

tdf#139328 Update Starmath examples

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Jean-Baptiste Faure 2021-01-02 23:29:04 UTC
(In reply to Commit Notification from comment #5)
> Laurent BP committed a patch related to this issue.
> It has been pushed to "libreoffice-7-1":
> 
> https://git.libreoffice.org/core/commit/
> ca9abb3c513f10e041d9a52bc256516739fdca69
> 
> tdf#139328 Update Starmath examples
> 
> It will be available in 7.1.0.2.
> [...]

Thank you very much for the backport. It works as expected.

Best regards. JBF